Skip to main content
POST
/
v1
/
sensors
/
cargo
Get cargo status
curl --request POST \
  --url https://api.samsara.com/v1/sensors/cargo \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sensors": [
    122
  ]
}
'
{
  "groupId": 101,
  "sensors": [
    {
      "cargoEmpty": true,
      "cargoStatusTime": "2019-04-17T16:42:55Z",
      "id": 122,
      "name": "Trailer Cargo V1Sensor",
      "redEyeDistance": 175,
      "trailerId": 123,
      "vehicleId": 124
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

List of sensor IDs to query.

sensors
integer<int64>[]
required

List of sensor IDs to query.

Example:
[122]

Response

List of sensor objects containing the current cargo status reported by each sensor.

Contains the current cargo status of a sensor.

groupId
integer<int64>

Deprecated.

Example:

101

sensors
object[]